AurionAI Docs

Get Ai Automation Settings

Get the unified AI automation configuration.

GET
/api/ai-automation/settings

Get the unified AI automation configuration.

Authorization

AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/api/ai-automation/settings"
{
  "classification": {
    "auto_apply_fields": [
      "category"
    ],
    "auto_apply_threshold": 0.85,
    "category_descriptions": {
      "property1": "string",
      "property2": "string"
    },
    "classify_on": [
      "conversation.created"
    ],
    "enabled": false,
    "exclude_channels": [
      "string"
    ],
    "reclassify_on_reply": true,
    "suggest_threshold": 0.5
  },
  "resolution": {
    "auto_resolve_categories": [
      "string"
    ],
    "auto_resolve_threshold": 0.92,
    "cooldown_seconds": 0,
    "daily_limit": 0,
    "enabled": false,
    "exclude_attachments": true,
    "exclude_high_priority": true,
    "exclude_negative_sentiment": true,
    "exclude_vip": true,
    "kb_match_threshold": 0.9,
    "max_auto_resolve_attempts": 2,
    "mode": "suggest",
    "reply_coherence_threshold": 0.8
  },
  "routing": {
    "ai_skill_matching_enabled": false,
    "drop_optional_skills_on_timeout": true,
    "enabled": false,
    "fallback_to_team_pool": true,
    "route_on_first_classification_only": true,
    "skills_timeout_seconds": 300
  },
  "updated_at": "string",
  "version": 0
}